# Function assignProperties

- assignProperties<T>(defs, obj, properties): void

- Sets properties on an object based on deserialization rules defined in property metadata.

  #### Type Parameters

  - T

  #### Parameters

  - defs: PropertyDefs<T>

    The property metadata for the object.

  - obj: object

    The object to modify.

  - properties: Partial<T>

    The property values to set keyed by property name.

  #### Returns void